Wiki links to versions, documents, files
2008-01-09 15:00 - Adrian Tarau

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Text formatting Estimated time: 0.00 hour

Target version:

Resolution: Fixed

Description

It would be very useful to be able to insert links to roadmap(versions), documents and files. The syntax should be very
simple, similar with issue links or changeset links.

Thanks.

Related issues:
Related to Redmine - Feature #2069: Wiki syntax to link to files in the files... New 2008-10-22

History

#1 - 2008-01-12 12:21 - Jean-Philippe Lang
Here are some suggestions for the syntax:
document#12 (by id) or document:"My document”
(by title)

0.7.3 or version:"0.6.3"
file##47

What do you think ?

#2 - 2008-01-12 13:33 - Adrian Tarau

Looks ok to me.

| think the layout with keyword#no is better and it will be
similar with what exists now.

Any opinions?

#3 - 2008-01-13 05:50 - Jean-Philippe Lang

| think Redmine could support both syntaxes (with ids or with
names).

#4 - 2008-01-13 16:43 - Thomas Lober

It would be nice if a plugin can add extra wiki syntax like:

Redmine::Plugin.register :my_plugin do

wiki /some_regexp/ do  # create HTML chunk replacing regexp
end

end

#5 - 2008-01-14 15:37 - Jean-Philippe Lang

Here are some examples that work on my working copy.
Feedback is welcome before | commit.

Documents:

document#17 —-> Link to document with id 17

document :Greetings -> Link to the document with title
"Greetings"

document:"Some document" -> Link to the
document with title "Some document"

Versions:
version#3 -> Link to version with id 3
https://www.redmine.org/versions/5

version:1.0.0 -> Link to version named

"1.0.0"
version:"1.0 beta 2" -> Link to version
named "1.0 beta 2"
Attachments:

attachment:file.zip -> Link to the attachment of
the current object named file.zip

Basically, # is used to reference objects with their ids, : is
used to reference objects with their names.

For now, attachments of the current object can be referenced
only (if you're on an issue, you can only reference attachments
of this issue).

This kind of syntax should be supported in the future:
document#1:attachment:file.zip

#6 - 2008-01-14 15:42 - Adrian Tarau
+1 JP.
Thanks.

#7 - 2008-01-15 13:12 - Jean-Philippe Lang
Committed in r1064.

#8 - 2011-03-23 10:32 - Toshi MARUYAMA

- Category set to Text formatting

#9 - 2012-05-14 14:40 - Stanislav German-Evtushenko
duplicates #2069

#10 - 2012-12-04 21:11 - Andriy Lesyuk
Hi! | added file: support to my WikiNG plugin.

#11 - 2013-03-17 05:20 - Mischa The Evil
- Subject changed from Wiki links to roadmap, documents, files to Wiki links to versions, documents, files
- Status changed from New to Closed

- Resolution set to Fixed

Adrian Tarau wrote:

It would be very useful to be able to insert links to roadmap(versions), documents and files.

Support for linking to versions and documents is implemented already a long time ago. Only linking to files is still missing, but there exists a seperate
issue for it (#2069).
Based on the info above; closing this issue as fixed.
